Description

It seems that multi monitor mode when GTK Backend is enabled doesn't work properly. The problem is that GetWorkArea() should work

dynamically. One of the method is to tracking global cursor position (This solution is implemented in X11 backend).

    -  This patch also add "static" keyword optimalization for faster window processing (X11 equivalent).

Related issues:

Related to Bug # 725: gdk_screen_get_primary_monitor only works with GTK>=2.19.2 Approved 03/16/2014

History

#1 - 03/03/2014 03:09 AM - Zbigniew Rebacz

- Status changed from Patch ready to In Progress

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Seems to be a little bit buggy...

#2 - 03/03/2014 03:13 AM - Zbigniew Rebacz

- Status changed from In Progress to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

It's OK!

#3 - 03/23/2014 04:49 PM - Miroslav Fidler

- Status changed from Patch ready to Rejected

Because we want the work area of window, not mouse. Also with current set of methods, obtaining work area for mouse is quite easy either...

Note that all this is mostly to make it the same as in Win32...

Files

GtkWnd.cpp 10.8 KB 03/02/2014 Zbigniew Rebacz
